<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Firma\KursUebersicht\Detailsreiter\Termine\TerminVerlaengernDialog;

class TerminVerlaengernAbsendenEMailUseCase extends \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Termine\TerminVerlaengernDialog\TerminVerlaengernAbsendenEMailUseCase
{
  protected function createPresenter($response): \Kufer\Mail\EMail\IEMail
  {
    return new TerminVerlaengernAbsendenEMailPresenter($response);
  }

  public static function getToolId()
  {
    return TerminVerlaengernAbsendenUseCase::getToolId();
  }

  public static function getToolSectionId()
  {
    return TerminVerlaengernAbsendenUseCase::getToolSectionId();
  }
}